from typing import List, Dict, Any, Tuple
from src.detections import Detection


class Detector:
    def detect(
        self, text: str, annotations: Dict[str, List[Tuple[int, int, Any]]]
    ) -> List[Tuple[int, int, Detection]]:
        raise NotImplementedError
