from typing import List, Tuple
from src.detections import Detection
from src.string_replacements import replace
from src.replacers.interface import ReplacerInterface


class DeleteReplacer(ReplacerInterface):
    def __init__(self):
        pass

    def replace(
        self, text: str, detections: List[Tuple[int, int, Detection]]
    ) -> Tuple[str, List[Tuple[int, int, Detection]]]:

        result = [(start, end, "") for start, end, _ in detections]

        return replace(text, result), []
